Subject: Re: bug#57728: 29.0.50; Emacs writes wrong glyph at the bottom-right corner of text terminals

From: Eli Zaretskii <[email-masked]>
Date: Mon, 12 Sep 2022 15:11:19 +0300

> Date: Mon, 12 Sep 2022 12:07:12 +0000
> From: Gregory Heytings <[email-masked]>
> cc: [email-masked], [email-masked]
> 
> >> 5. Now hit C-p a few times, until you see the "\" continuation 
> >> character appear on the last character (the one at the bottom right). 
> >> This should not happen.
> >
> > It does happen.  Why do you think it shouldn't?  Those are all continued 
> > lines, so they should all end with a '\'.
> 
> Because Emacs should never write on the last character at the bottom 
> right.

That's immaterial: the user doesn't care what are Emacs's problems.
The user expects to see a continuation glyph at the end of every
continued line.  How does Emacs accomplish that is our problem.

> > However, if I now C-n enough times to have the mini-window scroll, I see 
> > that lines scrolled into the view don't have the '\' continuation glyph. 
> > _That_ shouldn't happen.  So I finally have something to work with, 
> > thanks.
> 
> That shouldn't happen either, indeed.  But that wasn't what the bug report 
> originally said.

I think it's exactly the same bug.